## python-django 5.2.2

=== debian/changelog ===
python-django (3:5.2.2-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2025-48432: Potential log injection via unescaped request path.

      Django's internal HTTP response logging used request.path directly,
      allowing control characters (e.g. newlines or ANSI escape sequences) to
      be written unescaped into logs. This could enable log injection or
      forgery, letting attackers manipulate log appearance or structure,
      especially in logs processed by external systems or viewed in terminals.

      Although this does not directly impact Django's security model, it poses
      risks when logs are consumed or interpreted by other tools.  To fix this,
      the internal django.utils.log.log_response() function now escapes all
      positional formatting arguments using a safe encoding.

      (Closes: #1107282)

    <https://www.djangoproject.com/weblog/2025/jun/04/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 04 Jun 2025 08:09:36 -0700

python-django (3:5.2.1-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2025-32873: Denial-of-service possibility in strip_tags()

      django.utils.html.strip_tags() would be slow to evaluate certain inputs
      containing large sequences of incomplete HTML tags. This function is used
      to implement the striptags template filter, which was therefore also
      vulnerable. strip_tags() now raises a SuspiciousOperation exception if it
      encounters an unusually large number of unclosed opening tags.

      (Closes: #1104872)

    <https://www.djangoproject.com/weblog/2025/may/07/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 07 May 2025 09:27:26 -0700

python-django (3:5.2-1) experimental; urgency=medium

  * New upstream stable release.
    <https://www.djangoproject.com/weblog/2025/apr/02/django-52-released/>
  * Bump Standards-Version to 4.7.2.

 -- Chris Lamb <lamby@debian.org>  Fri, 04 Apr 2025 09:58:15 -0700

python-django (3:5.2~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    <https://www.djangoproject.com/weblog/2025/mar/19/django-52-rc1/>

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Mar 2025 12:04:42 +0000

python-django (3:5.2~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2025/feb/19/django-52-beta-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 19 Feb 2025 11:41:40 +0000

python-django (3:5.2~alpha1-1) experimental; urgency=medium

  * New upstream alpha release.
    <https://www.djangoproject.com/weblog/2025/jan/16/django-52-alpha-1-released/>
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Thu, 16 Jan 2025 14:26:59 +0000

python-django (3:5.1.5-1) experimental; urgency=high

  * New upstream security release. (Closes: #1093049)

    - CVE-2024-56374: Potential denial-of-service vulnerability in IPv6
      validation.

      A lack of upper bound limit enforcement in strings passed when performing
      IPv6 validation could have led to a potential denial-of-service (DoS)
      attack. The undocumented and private functions clean_ipv6_address and
      is_valid_ipv6_address were vulnerable, as was the GenericIPAddressField
      form field, which has now been updated to define a max_length of 39
      characters. The GenericIPAddressField model field was not affected.

    <https://www.djangoproject.com/weblog/2025/jan/14/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 15 Jan 2025 17:48:05 +0000

## python-django 5.2.3

=== debian/changelog ===
python-django (3:5.2.3-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/jun/10/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Tue, 10 Jun 2025 08:53:25 -0700

## python-django 5.2.4

=== docs/Makefile ===
# Makefile for Sphinx documentation
#

# You can set these variables from the command line.
PYTHON        ?= python
SPHINXOPTS    ?=
SPHINXBUILD   ?= sphinx-build
PAPER         ?=
BUILDDIR      ?= _build
LANGUAGE      ?=
JOBS          ?= auto

# Set the default language.
ifndef LANGUAGE
override LANGUAGE = en
endif

# Convert something like "en_US" to "en", because Sphinx does not recognize
# underscores. Country codes should be passed using a dash, e.g. "pt-BR".
LANGUAGEOPT = $(firstword $(subst _, ,$(LANGUAGE)))

# Internal variables.
PAPEROPT_a4     = -D latex_paper_size=a4
PAPEROPT_letter = -D latex_paper_size=letter
ALLSPHINXOPTS   = -n -d $(BUILDDIR)/doctrees -D language=$(LANGUAGEOPT) --jobs $(JOBS) $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .
# the i18n builder cannot share the environment and doctrees with the others
I18NSPHINXOPTS  = $(PAPEROPT_$(PAPER)) $(SPHINXOPTS) .

.PHONY: help clean html htmlview dirhtml singlehtml pickle json htmlhelp qthelp devhelp epub latex latexpdf text man changes linkcheck doctest gettext

help:
	@echo "Please use \`make <target>' where <target> is one of"
	@echo "  html       to make standalone HTML files"
	@echo "  htmlview   to open the index page built by the html target in your browser"
	@echo "  dirhtml    to make HTML files named index.html in directories"
	@echo "  singlehtml to make a single large HTML file"
	@echo "  pickle     to make pickle files"
	@echo "  json       to make JSON files"
	@echo "  htmlhelp   to make HTML files and a HTML help project"
	@echo "  qthelp     to make HTML files and a qthelp project"
	@echo "  devhelp    to make HTML files and a Devhelp project"
	@echo "  epub       to make an epub"
	@echo "  latex      to make LaTeX files, you can set PAPER=a4 or PAPER=letter"
	@echo "  latexpdf   to make LaTeX files and run them through pdflatex"
	@echo "  text       to make text files"
	@echo "  man        to make manual pages"
	@echo "  texinfo    to make a Texinfo source file"
	@echo "  gettext    to make PO message catalogs"
	@echo "  changes    to make an overview of all changed/added/deprecated items"
	@echo "  linkcheck  to check all external links for integrity"
	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
	@echo "  spelling   to check for typos in documentation"
	@echo "  black      to apply the black formatting to code blocks in documentation"


clean:
	-rm -rf $(BUILDDIR)/*

html:
	$(SPHINXBUILD) -b djangohtml $(ALLSPHINXOPTS) $(BUILDDIR)/html
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/html."

htmlview: html
	$(PYTHON) -m webbrowser "$(BUILDDIR)/html/index.html"

dirhtml:
	$(SPHINXBUILD) -b dirhtml $(ALLSPHINXOPTS) $(BUILDDIR)/dirhtml
	@echo
	@echo "Build finished. The HTML pages are in $(BUILDDIR)/dirhtml."

singlehtml:
	$(SPHINXBUILD) -b singlehtml $(ALLSPHINXOPTS) $(BUILDDIR)/singlehtml
	@echo
	@echo "Build finished. The HTML page is in $(BUILDDIR)/singlehtml."

pickle:
	$(SPHINXBUILD) -b pickle $(ALLSPHINXOPTS) $(BUILDDIR)/pickle
	@echo
	@echo "Build finished; now you can process the pickle files."

json:
	$(SPHINXBUILD) -b json $(ALLSPHINXOPTS) $(BUILDDIR)/json
	@echo
	@echo "Build finished; now you can process the JSON files."

htmlhelp:
	$(SPHINXBUILD) -b htmlhelp $(ALLSPHINXOPTS) $(BUILDDIR)/htmlhelp
	@echo
	@echo "Build finished; now you can run HTML Help Workshop with the" \
	      ".hhp project file in $(BUILDDIR)/htmlhelp."

qthelp:
	$(SPHINXBUILD) -b qthelp $(ALLSPHINXOPTS) $(BUILDDIR)/qthelp
	@echo
	@echo "Build finished; now you can run "qcollectiongenerator" with the" \
	      ".qhcp project file in $(BUILDDIR)/qthelp, like this:"
	@echo "# qcollectiongenerator $(BUILDDIR)/qthelp/django.qhcp"
	@echo "To view the help file:"
	@echo "# assistant -collectionFile $(BUILDDIR)/qthelp/django.qhc"

devhelp:
	$(SPHINXBUILD) -b devhelp $(ALLSPHINXOPTS) $(BUILDDIR)/devhelp
	@echo
	@echo "Build finished."
	@echo "To view the help file:"
	@echo "# mkdir -p $$HOME/.local/share/devhelp/django"
	@echo "# ln -s $(BUILDDIR)/devhelp $$HOME/.local/share/devhelp/django"
	@echo "# devhelp"

epub:
	$(SPHINXBUILD) -b epub $(ALLSPHINXOPTS) $(BUILDDIR)/epub
	@echo
	@echo "Build finished. The epub file is in $(BUILDDIR)/epub."

latex:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo
	@echo "Build finished; the LaTeX files are in $(BUILDDIR)/latex."
	@echo "Run \`make' in that directory to run these through (pdf)latex" \
	      "(use \`make latexpdf' here to do that automatically)."

latexpdf:
	$(SPHINXBUILD) -b latex $(ALLSPHINXOPTS) $(BUILDDIR)/latex
	@echo "Running LaTeX files through pdflatex..."
	make -C $(BUILDDIR)/latex all-pdf
	@echo "pdflatex finished; the PDF files are in $(BUILDDIR)/latex."

text:
	$(SPHINXBUILD) -b text $(ALLSPHINXOPTS) $(BUILDDIR)/text
	@echo
	@echo "Build finished. The text files are in $(BUILDDIR)/text."

man:
	$(SPHINXBUILD) -b man $(ALLSPHINXOPTS) $(BUILDDIR)/man
	@echo
	@echo "Build finished. The manual pages are in $(BUILDDIR)/man."

texinfo:
	$(SPHINXBUILD) -b texinfo $(ALLSPHINXOPTS) $(BUILDDIR)/texinfo
	@echo
	@echo "Build finished; the Texinfo files are in $(BUILDDIR)/texinfo."

gettext:
	$(SPHINXBUILD) -b gettext $(I18NSPHINXOPTS) $(BUILDDIR)/locale
	@echo
	@echo "Build finished. The message catalogs are in $(BUILDDIR)/locale."

changes:
	$(SPHINXBUILD) -b changes $(ALLSPHINXOPTS) $(BUILDDIR)/changes
	@echo
	@echo "The overview file is in $(BUILDDIR)/changes."

linkcheck:
	$(SPHINXBUILD) -b linkcheck $(ALLSPHINXOPTS) $(BUILDDIR)/linkcheck
	@echo
	@echo "Link check complete; look for any errors in the above output " \
	      "or in $(BUILDDIR)/linkcheck/output.txt."

doctest:
	$(SPHINXBUILD) -b doctest $(ALLSPHINXOPTS) $(BUILDDIR)/doctest
	@echo "Testing of doctests in the sources finished, look at the " \
	      "results in $(BUILDDIR)/doctest/output.txt."

spelling:
	$(SPHINXBUILD) -b spelling $(ALLSPHINXOPTS) $(BUILDDIR)/spelling
	@echo
	@echo "Check finished. Wrong words can be found in " \
		"$(BUILDDIR)/spelling/output.txt."

black:
	@mkdir -p $(BUILDDIR)/black
	find . -name "*.txt" -not -path "./_build/*" -not -path "./_theme/*" \
		| xargs blacken-docs --rst-literal-block; echo $$? > "$(BUILDDIR)/black/output.txt"
	@echo
	@echo "Code blocks reformatted"

=== debian/changelog ===
python-django (3:5.2.4-1ubuntu2) questing; urgency=medium

  * SECURITY UPDATE: Potential SQL injection
    - debian/patches/CVE-2025-59681.patch: protect against SQL injection in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py,
      tests/expressions/test_queryset_values.py, tests/queries/tests.py.
    - CVE-2025-59681
  * SECURITY UPDATE: Potential partial directory-traversal
    - debian/patches/CVE-2025-59682.patch: validate path in
      django/utils/archive.py, tests/utils_tests/test_archive.py.
    - CVE-2025-59682

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 01 Oct 2025 12:49:58 -0400

python-django (3:5.2.4-1ubuntu1) questing; urgency=medium

  * SECURITY UPDATE: SQL injection
    - debian/patches/CVE-2025-57833.patch: protected
      FilteredRelation against SQL injection in column
      aliases in django/db/models/sql/query.py,
      tests/annotations/tests.py.
    - debian/patches/fixing_test_stip_tags.patch: Adjusted
      utils_tests.test_html.TestUtilsHtml.test_strip_tags following Python's
      HTMLParser new behavior in tests/utils_test/test_html.py.
    - debian/patches/fixing_test_parsing_errors.patch: Fixed
      test_utils.tests.HTMLEqualTests.test_parsing_errors
      following Python's HTMLParser fixed parsing in
      tests/test_utils/tests.py.
    - CVE-2025-57833

 -- Leonidas Da Silva Barbosa <leo.barbosa@canonical.com>  Mon, 15 Sep 2025 09:13:25 -0300

python-django (3:5.2.4-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://www.djangoproject.com/weblog/2025/jul/02/bugfix-releases/>

 -- Chris Lamb <lamby@debian.org>  Mon, 07 Jul 2025 10:29:43 -0700

=== debian/control ===
Source: python-django
Section: python
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
Uploaders:
 Luke Faraone <lfaraone@debian.org>,
 Raphaël Hertzog <hertzog@debian.org>,
 Brian May <bam@debian.org>,
 Chris Lamb <lamby@debian.org>,
Standards-Version: 4.7.2
Build-Depends:
 debhelper-compat (= 13),
 dh-python,
 dpkg-dev (>= 1.17.14),
 libgdal-dev <!nocheck>,
 libsqlite3-mod-spatialite <!nocheck>,
 pybuild-plugin-pyproject,
 python-django-formtools-doc <!nodoc>,
 python-psycopg2-doc <!nodoc>,
 python3-all,
 python3-asgiref <!nocheck>,
 python3-bcrypt <!nocheck>,
 python3-doc <!nodoc>,
 python3-docutils <!nodoc>,
 python3-jinja2 <!nocheck>,
 python3-numpy <!nocheck>,
 python3-pil <!nocheck>,
 python3-pytz <!nocheck>,
 python3-selenium <!nocheck>,
 python3-setuptools,
 python3-sphinx,
 python3-sqlparse <!nocheck>,
 python3-tblib <!nocheck>,
 python3-yaml <!nocheck>,
Build-Depends-Indep:
 libjs-jquery,
Homepage: http://www.djangoproject.com/
Vcs-Git: https://salsa.debian.org/python-team/packages/python-django.git
Vcs-Browser: https://salsa.debian.org/python-team/packages/python-django
Rules-Requires-Root: no

Package: python3-django
Architecture: all
Provides:
 python-django-common,
Replaces:
 python-django-common,
Breaks:
 python-django-common,
 python3-mysqldb (<< 1.3.13),
Depends:
 python3-asgiref,
 ${misc:Depends},
 ${python3:Depends},
Recommends:
 libjs-jquery,
 python3-sqlparse,
Suggests:
 bpython3,
 geoip-database-contrib,
 gettext,
 ipython3,
 libgdal20,
 libsqlite3-mod-spatialite,
 python-django-doc,
 python3-bcrypt,
 python3-flup,
 python3-memcache,
 python3-mysqldb,
 python3-pil,
 python3-psycopg2,
 python3-pytz,
 python3-selenium,
 python3-sqlite,
 python3-yaml,
Description: High-level Python web development framework
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 Notable features include:
  * An object-relational mapper (ORM)
  * Automatic admin interface
  * Elegant URL dispatcher
  * Form serialization and validation system
  * Templating system
  * Lightweight, standalone web server for development and testing
  * Internationalization support
  * Testing framework and client

Package: python-django-doc
Section: doc
Architecture: all
Depends:
 ${misc:Depends},
 ${sphinxdoc:Depends},
Description: High-level Python web development framework (documentation)
 Django is a high-level web application framework that loosely follows the
 model-view-controller design pattern.
 .
 Python's equivalent to Ruby on Rails, Django lets you build complex
 data-driven websites quickly and easily - Django focuses on automating as much
 as possible and adhering to the "Don't Repeat Yourself" (DRY) principle.
 .
 Django additionally emphasizes reusability and "pluggability" of components;
 many generic third-party "applications" are available to enhance projects or
 to simply to reduce development time even further.
 .
 This package contains the HTML documentation and example projects.

=== debian/watch ===
version=3
opts=filenamemangle=s/.*\/download\/(.*)\/tarball\//Django-$1.tar.gz/,uversionmangle=s/a(?=\d$)/alpha/;s/b(?=\d$)/beta/;s/(alpha|beta|rc)/~$1/ \
    https://www.djangoproject.com/download/ .*/([^/]+)/tarball/

## python-django 5.2.5

=== debian/changelog ===
python-django (3:5.2.5-1) experimental; urgency=medium

  * New upstream bugfix release.

 -- Chris Lamb <lamby@debian.org>  Wed, 06 Aug 2025 09:50:20 -0700

## python-django 5.2.6

=== debian/changelog ===
python-django (3:5.2.6-1) experimental; urgency=medium

  * New upstream security release:

    - CVE-2025-57833: Potential SQL injection in FilteredRelation column
      aliases. The FilteredRelation feature in Django was subject to a
      potential SQL injection vulnerability in column aliases that was
      exploitable via suitably crafted dictionary with dictionary expansion as
      the **kwargs passed QuerySet.annotate() or QuerySet.alias().
      (Closes: #1113865)

    <https://www.djangoproject.com/weblog/2025/sep/03/security-releases/>

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Sep 2025 07:46:59 -0700

## python-django 5.2.9

=== debian/changelog ===
python-django (3:5.2.9-0ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: Username enumeration through timing difference in
    mod_wsgi authentication handler
    - debian/patches/CVE-2025-13473.patch: standardize timing of
      check_password() in mod_wsgi auth handler in
      django/contrib/auth/handlers/modwsgi.py,
      tests/auth_tests/test_handlers.py.
    - CVE-2025-13473
  * SECURITY UPDATE: Potential denial-of-service vulnerability via repeated
    headers when using ASGI
    - debian/patches/CVE-2025-14550.patch: optimize repeated header parsing
      in ASGI requests in django/core/handlers/asgi.py,
      tests/asgi/tests.py.
    - CVE-2025-14550
  * SECURITY UPDATE: Potential SQL injection via raster lookups on PostGIS
    - debian/patches/CVE-2026-1207.patch: prevent SQL injections in
      RasterField lookups via band index in
      django/contrib/gis/db/backends/postgis/operations.py,
      tests/gis_tests/rasterapp/test_rasterfield.py.
    - CVE-2026-1207
  * SECURITY UPDATE: Potential denial-of-service vulnerability in
    django.utils.text.Truncator HTML methods
    - debian/patches/CVE-2026-1285.patch: mitigate potential DoS in
      django.utils.text.Truncator for HTML input in django/utils/text.py,
      tests/utils_tests/test_text.py.
    - CVE-2026-1285
  * SECURITY UPDATE: Potential SQL injection in column aliases via control
    characters
    - debian/patches/CVE-2026-1287.patch: protect against SQL injection in
      column aliases via control characters in
      django/db/models/sql/query.py, tests/aggregation/tests.py,
      tests/annotations/tests.py, tests/queries/tests.py,
      tests/expressions/test_queryset_values.py.
    - CVE-2026-1287
  * SECURITY UPDATE: Potential SQL injection via QuerySet.order_by and
    FilteredRelation
    - debian/patches/CVE-2026-1312-1.patch: protect order_by() from SQL
      injection via aliases with periods in
      django/db/models/sql/compiler.py, tests/ordering/tests.py.
    - debian/patches/CVE-2026-1312-2.patch: raise ValueError when
      FilteredRelation aliases contain periods in
      django/db/models/sql/query.py, tests/filtered_relation/tests.py,
      tests/ordering/tests.py.
    - CVE-2026-1312

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 04 Feb 2026 13:38:58 -0500

python-django (3:5.2.9-0ubuntu2) resolute; urgency=medium

  * d/p/pgsql18-not-null-constraints.patch: Skip NOT NULL constraints on
    PostgreSQL 18 (LP: #2136172)

 -- Athos Ribeiro <athos@ubuntu.com>  Mon, 15 Dec 2025 15:24:04 -0300

python-django (3:5.2.9-0ubuntu1) resolute; urgency=medium

  * Updated to 5.2.9 to fix security issues.
    - CVE-2025-13372
    - CVE-2025-64460
  * debian/patches/fix-new-python.patch: fix FTBFS with newer Python.
  * Dropped patches no longer needed with 5.2.9
    - CVE-2025-57833.patch
    - fixing_test_strip_tags.patch
    - fixing_test_parsing_errors.patch
    - CVE-2025-59681.patch
    - CVE-2025-59682.patch
    - CVE-2025-64459-1.patch
    - CVE-2025-64459-2.patch
    - FTBFS-test_pickle_errors_detection.patch

 -- Marc Deslauriers <marc.deslauriers@ubuntu.com>  Wed, 10 Dec 2025 07:54:27 -0500

python-django (3:5.2.4-1ubuntu3) resolute; urgency=medium

  * SECURITY UPDATE: Potential SQL injection in QuerySet and Q objects
    - debian/patches/CVE-2025-64459-1.patch: Add connects and checks for them
      in django/db/models/query_utils.py.
    - debian/patches/CVE-2025-64459-2.patch: Add PROHIBITED_FILTER_KWARGS and
      check for them in django/db/models/query.py.
    - CVE-2025-64459
  * FTBFS-test_pickle_errors_detection.patch: Fix FTBFS in
    test_pickle_errors_detection test function in
    tests/test_runner/test_parallel.py

 -- Hlib Korzhynskyy <hlib.korzhynskyy@canonical.com>  Thu, 06 Nov 2025 09:58:31 +0100

## python-django 6.0~alpha1

=== debian/changelog ===
python-django (3:6.0~alpha1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2025/sep/17/django-60-alpha-released/>
  * Update documentation move snippet after move from .txt to .md.
  * Refresh patches.

 -- Chris Lamb <lamby@debian.org>  Wed, 17 Sep 2025 13:52:35 -0700

## python-django 6.0~beta1

=== docs/Makefile ===
--- 
+++ 
@@ -51,6 +51,7 @@
 	@echo "  doctest    to run all doctests embedded in the documentation (if enabled)"
 	@echo "  spelling   to check for typos in documentation"
 	@echo "  black      to apply the black formatting to code blocks in documentation"
+	@echo "  lint       to check for linting errors in documentation"
 
 
 clean:
@@ -174,3 +175,12 @@
 		| xargs blacken-docs --rst-literal-block; echo $$? > "$(BUILDDIR)/black/output.txt"
 	@echo
 	@echo "Code blocks reformatted"
+
+lint:
+	$(PYTHON) lint.py
+	@echo
+	@echo "Documentation lint complete."
+
+check: spelling black lint
+	@echo
+	@echo "Style and spelling checks completed."

=== docs/requirements.txt ===
pyenchant
Sphinx>=4.5.0
sphinxcontrib-spelling
blacken-docs
sphinx-lint

=== debian/changelog ===
python-django (3:6.0~beta1-1) experimental; urgency=medium

  * New upstream beta release.
    <https://www.djangoproject.com/weblog/2025/oct/22/django-60-beta-released/>

 -- Chris Lamb <lamby@debian.org>  Thu, 23 Oct 2025 08:51:25 -0700

=== debian/rules ===
#!/usr/bin/make -f

export PYBUILD_NAME=django

PREFIX = debian/python3-django
PREFIX_DOC = debian/python-django-doc

%:
	dh $@ --with sphinxdoc,python3 --buildsystem=pybuild

override_dh_auto_clean:
	dh_auto_clean
	make -C docs clean

override_dh_auto_build:
	dh_auto_build
ifeq (,$(filter nodoc,$(DEB_BUILD_PROFILES)))
	make -C docs html
endif

override_dh_auto_test:
ifeq (,$(filter nocheck,$(DEB_BUILD_PROFILES)))
	set -e; cd tests && for python in $$(py3versions -s); do \
	    	echo "——— Running tests with $$python ———"; \
		LC_ALL=C.UTF-8 PYTHONPATH=.. $$python ./runtests.py --verbosity=2; \
	done
endif

override_dh_clean:
	# backup~ is used in tests
	dh_clean -Xbackup~

override_dh_auto_install:
	dh_auto_install
	
	# Remove embedded Javascript libraries
	set -e; for FILENAME in jquery.js jquery.min.js; do \
		find $(PREFIX) -name $$FILENAME -exec \
			ln -sfv /usr/share/javascript/jquery/$$FILENAME {} \;; \
	done

override_dh_install:
	dh_install
	
	# Fix permissions
	chmod 644 $(PREFIX)/usr/share/bash-completion/completions/django_bash_completion

override_dh_installdocs:
	dh_installdocs
	
	# Drop all extra license files
	find $(PREFIX) $(PREFIX_DOC) \( -name LICENSE -o -iname license\*.\* \) -delete
	
override_dh_python3:
	dh_python3
	
	# Move documentation to /usr/share/doc
	set -e; for X in img; do \
		mv -v $(PREFIX)/usr/lib/python3/dist-packages/django/contrib/admin/static/admin/$$X/README.md \
			$(PREFIX)/usr/share/doc/python3-django/README-$$X.md; \
	done

## python-django 6.0~rc1

=== debian/changelog ===
python-django (3:6.0~rc1-1) experimental; urgency=medium

  * New upstream release candidate.
    <https://www.djangoproject.com/weblog/2025/nov/19/django-60-rc-released/>

 -- Chris Lamb <lamby@debian.org>  Thu, 20 Nov 2025 08:37:08 -0800

## python-django 6.0

=== debian/changelog ===
python-django (3:6.0-1) experimental; urgency=medium

  * New upstream 6.0 release.
    <https://www.djangoproject.com/weblog/2025/dec/03/django-60-released/>
  * Python 3.14 is not supported yet.

 -- Chris Lamb <lamby@debian.org>  Wed, 03 Dec 2025 09:16:51 -0800

## python-django 6.0.1

=== debian/changelog ===
python-django (3:6.0.1-1) experimental; urgency=medium

  * New upstream bugfix release.
    <https://docs.djangoproject.com/en/6.0/releases/6.0.1/>

 -- Chris Lamb <lamby@debian.org>  Tue, 06 Jan 2026 14:48:32 -0800

=== debian/control ===
--- 
+++ 
@@ -1,14 +1,14 @@
 Source: python-django
 Section: python
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Python Team <team+python@tracker.debian.org>
+Maintainer: Debian Python Team <team+python@tracker.debian.org>
 Uploaders:
  Luke Faraone <lfaraone@debian.org>,
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
 Standards-Version: 4.7.2
+X-Python3-Version: << 3.14
 Build-Depends:
  debhelper-compat (= 13),
  dh-python,

## python-django 6.0.2

=== debian/changelog ===
python-django (3:6.0.2-1) experimental; urgency=high

  * New upstream security release:

    - CVE-2025-13473: The check_password function in
      django.contrib.auth.handlers.modwsgi for authentication via mod_wsgi
      allowed remote attackers to enumerate users via a timing attack.

    - CVE-2025-14550: ASGIRequest allowed a remote attacker to cause a
      potential denial-of-service via a crafted request with multiple duplicate
      headers.

    - CVE-2026-1207: Raster lookups on RasterField (only implemented on
      PostGIS) allowed remote attackers to inject SQL via the band index
      parameter.

    - CVE-2026-1285: The django.utils.text.Truncator.chars() and
      Truncator.words() methods (with html=True) and the truncatechars_html and
      truncatewords_html template filters allowed a remote attacker to cause a
      potential denial-of-service via crafted inputs containing a large number
      of unmatched HTML end tags.

    - CVE-2026-1287: FilteredRelation was subject to SQL injection in column
      aliases via control characters using a suitably crafted dictionary, with
      dictionary expansion, as the **kwargs passed to QuerySet methods
      annotate(), aggregate(), extra(), values(), values_list() and alias().

    - CVE-2026-1312: QuerySet.order_by() was subject to SQL injection in column
      aliases containing periods when the same alias is, using a suitably
      crafted dictionary, with dictionary expansion, used in FilteredRelation.

    <https://www.djangoproject.com/weblog/2026/feb/03/security-releases/>

    (Closes: #1126914)

  * Bump Standards-Version to 4.7.3.

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Feb 2026 14:17:55 -0800

## python-django 6.0.3

=== docs/Makefile ===
--- 
+++ 
@@ -171,16 +171,33 @@
 
 black:
 	@mkdir -p $(BUILDDIR)/black
-	find . -name "*.txt" -not -path "./_build/*" -not -path "./_theme/*" \
+	@find . -name "*.txt" -not -path "./_build/*" -not -path "./_theme/*" \
 		| xargs blacken-docs --rst-literal-block; echo $$? > "$(BUILDDIR)/black/output.txt"
-	@echo
-	@echo "Code blocks reformatted"
+	@RESULT=`cat $(BUILDDIR)/black/output.txt`; \
+	if [ "$$RESULT" -gt 0 ]; then \
+		echo "💥 📢 Code blocks in documentation must be reformatted with blacken-docs 📢 💥"; \
+		exit $$RESULT; \
+	else \
+		echo "Code blocks in documentation are properly formatted ✅"; \
+	fi
 
 lint:
 	$(PYTHON) lint.py
 	@echo
 	@echo "Documentation lint complete."
 
-check: spelling black lint
-	@echo
-	@echo "Style and spelling checks completed."
+check:
+	@echo "=== Spelling check ==="; \
+	$(MAKE) --no-print-directory SPHINXOPTS="-q -W" spelling; SPELLING=$$?; \
+	echo ""; \
+	echo "=== Code formatting check ==="; \
+	$(MAKE) --no-print-directory black; BLACK=$$?; \
+	echo ""; \
+	echo "=== Lint check ==="; \
+	$(MAKE) --no-print-directory lint; LINT=$$?; \
+	echo ""; \
+	if [ $$SPELLING -ne 0 ] || [ $$BLACK -ne 0 ] || [ $$LINT -ne 0 ]; then \
+		echo "Some checks failed."; \
+		exit 1; \
+	fi; \
+	echo "All style and spelling checks passed."

=== debian/changelog ===
python-django (3:6.0.3-1) experimental; urgency=high

  * New upstream sceurity release:

    - CVE-2026-25674: Potential incorrect permissions on newly created file
      system objects.

      Django's file-system storage and file-based cache backends used the
      process umask to control permissions when creating directories. In
      multi-threaded environments, one thread's temporary umask change can
      affect other threads' file and directory creation, resulting in file
      system objects being created with unintended permissions. Django now
      applies the requested permissions via os.chmod() after os.mkdir(),
      removing the dependency on the process-wide umask.

    - CVE-2026-25673: Potential denial-of-service vulnerability in URLField via
      Unicode normalization on Windows.

      The django.forms.URLField form field's to_python() method used
      urllib.parse.urlsplit() to determine whether to prepend a URL scheme to
      the submitted value. On Windows, urlsplit() performs NFKC normalization
      (unicodedata.normalize), which can be disproportionately slow for large
      inputs containing certain characters.

      URLField.to_python() now uses a simplified scheme detection, avoiding
      Unicode normalization entirely and deferring URL validation to the
      appropriate layers. As a result, while leading and trailing whitespace is
      still stripped by default, characters such as newlines, tabs, and other
      control characters within the value are no longer handled by
      URLField.to_python(). When using the default URLValidator, these values
      will continue to raise ValidationError during validation, but if you rely
      on custom validators, ensure they do not depend on the previous behavior
      of URLField.to_python().

    <https://www.djangoproject.com/weblog/2026/mar/03/security-releases/>

    (Closes: #1129595)

 -- Chris Lamb <lamby@debian.org>  Tue, 03 Mar 2026 09:45:28 -0800

=== debian/control ===
--- 
+++ 
@@ -7,7 +7,7 @@
  Raphaël Hertzog <hertzog@debian.org>,
  Brian May <bam@debian.org>,
  Chris Lamb <lamby@debian.org>,
-Standards-Version: 4.7.2
+Standards-Version: 4.7.3
 X-Python3-Version: << 3.14
 Build-Depends:
  debhelper-compat (= 13),
